<template>
  <div>
    <div class="main-screen-wrap">
      <main-screen />
      <div class="our-mission-and-ecosystem">
        <our-mission class="our-mission-wrap" />
        <ecosystem-block />
      </div>
    </div>
    <road-map class="road-map-wrap" />
    <div class="block-stake-wrap">
      <block-stake />
    </div>
    <div class="download-app-wrap">
      <download-app />
    </div>
    <div class="price-overview-and-faq">
      <price-overview class="price-overview-wrap" />
      <faq-block class="faq-wrap" />
    </div>
    <div class="tbcc-news-wrap">
      <tbcc-news />
    </div>
    <div class="partners-wrap">
      <partners-block />
      <priority-block />
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import MainScreen from '../components/index/MainScreen'
import OurMission from '../components/index/OurMission'
import EcosystemBlock from '../components/index/EcosystemBlock'
import DownloadApp from '../components/index/DownloadApp'
import PriceOverview from '../components/index/PriceOverview'
import FaqBlock from '../components/index/FaqBlock'
import TbccNews from '../components/index/TbccNews'
import PartnersBlock from '../components/index/PartnersBlock'
import PriorityBlock from '../components/index/PriorityBlock'
import RoadMap from '../components/index/RoadMap'
import BlockStake from '../components/index/BlockStake'

export default {
  components: {
    BlockStake,
    PriorityBlock,
    PartnersBlock,
    TbccNews,
    FaqBlock,
    DownloadApp,
    EcosystemBlock,
    OurMission,
    MainScreen,
    PriceOverview,
    RoadMap,
  },

  head() {
    return {
      title: 'TBCC | Token',
      link: [
        {
          rel: 'canonical',
          href: `https://tbcctoken.com${this.$route.path}`,
        },
      ],
    }
  },

  mounted() {
    this.fetchSomething()
  },

  methods: {
    ...mapActions({
      setPrice: 'setPrice',
      setPercentChange: 'setPercentChange',
      setVol24h: 'setVol24h',
      setHighPrice: 'setHighPrice',
      setLowPrice: 'setLowPrice',
      setMktCap: 'setMktCap',
    }),
    async fetchSomething() {
      const { RAW: rawData } = await this.$axios.$get(
        `https://min-api.cryptocompare.com/data/pricemultifull?fsyms=TBCC&tsyms=USD&api_key=a227bc6b743a0095a1d1a891f638c1316cff14f01d93241bbdbc419150af5b8d`
      )
      const { USD: tbccData } = rawData.TBCC

      this.setPrice(Number(tbccData.PRICE).toFixed(4))
      this.setVol24h(Number(tbccData.VOLUME24HOUR).toFixed(0))
      this.setHighPrice(Number(tbccData.HIGHDAY).toFixed(4))
      this.setLowPrice(Number(tbccData.LOWDAY).toFixed(4))
      this.setPercentChange(Number(tbccData.CHANGEPCT24HOUR).toFixed(2))
      this.setMktCap(Number(tbccData.MKTCAP).toFixed(0))
    },
  },
}
</script>

<style lang="scss" scoped>
.main-screen-wrap {
  overflow: visible;
  background: #051345;
  position: relative;
  z-index: 1;

  @media (min-width: 1024px) {
    &::before {
      content: '';
      width: 1198px;
      height: 915px;
      background-image: url('assets/img/bg-main-screen.png');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      top: 0;
      right: 0;
      position: absolute;
      pointer-events: none;
    }
  }
}

.our-mission-and-ecosystem {
  overflow: visible;
  background: #051345;
  position: relative;
  z-index: 1;

  @media (min-width: 768px) {
    padding-bottom: 100px;

    &::before {
      content: '';
      width: 768px;
      height: 1201px;
      background-image: url('assets/img/mobile-bg-ecosystem.svg');
      background-repeat: no-repeat;
      background-position: center;
      background-size: cover;
      top: 393px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }

  @media (min-width: 1200px) {
    padding-bottom: 165px;
  }

  @media (min-width: 768px) and (max-width: 1023px) {
    &::before {
      display: none;
    }
  }

  @media (min-width: 1024px) {
    &::before {
      content: '';
      width: 638px;
      height: 811px;
      background-image: url('assets/img/bg-our-mission.svg');
      background-repeat: no-repeat;
      background-position: center;
      background-size: cover;
      top: 440px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }
}

.our-mission-wrap {
  padding-bottom: 60px;

  @media (min-width: 768px) {
    padding-bottom: 0;
  }
}

.road-map-wrap {
  padding-bottom: 70px;
  z-index: 1;
  position: relative;

  @media (min-width: 768px) {
    &::before {
      content: '';
      position: absolute;
      width: 601px;
      height: 459px;
      background-image: url('../assets/img/bg-roadmap.svg');
      background-position: center;
      background-repeat: no-repeat;
      background-size: contain;
      left: 50%;
      top: -110px;
      transform: translateX(-99%);
      z-index: -1;
    }
  }
}

.block-stake-wrap {
  @media (max-width: 767px) {
    padding-bottom: 0;
  }

  padding-bottom: 130px;
}

.download-app-wrap {
  overflow: visible;
  background-color: #051345;
  position: relative;
  z-index: 1;
  padding-bottom: 85px;

  @media (min-width: 768px) {
    &::before {
      content: '';
      width: 768px;
      height: 1201px;
      background-image: url('assets/img/mobile-bg-ecosystem.svg');
      background-repeat: no-repeat;
      background-position: center;
      background-size: cover;
      top: 333px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }

  @media (min-width: 768px) and (max-width: 1023px) {
    padding-bottom: 160px;
    &::before {
      display: none;
    }
  }

  @media (min-width: 768px) {
    padding-bottom: 160px;
  }

  @media (min-width: 1024px) {
    &::after {
      content: '';
      width: 1798px;
      height: 716px;
      background-image: url('assets/img/stones.png');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: -100px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;

      @media only screen and (-webkit-min-device-pixel-ratio: 1.5),
        only screen and (min--moz-device-pixel-ratio: 1.5),
        only screen and (-o-min-device-pixel-ratio: 3/2),
        only screen and (min-resolution: 1.5dppx),
        only screen and (min-resolution: 144dpi) {
        background-image: url('assets/img/stones@2x.png');
      }
    }
  }
}

.price-overview-and-faq {
  overflow: visible;
  background-color: #051345;
  padding-bottom: 60px;

  @media (min-width: 768px) {
    padding-bottom: 140px;
  }
}

.price-overview-wrap {
  padding-bottom: 78px;

  @media (min-width: 768px) {
    padding-bottom: 120px;
  }
}

.faq-wrap {
  position: relative;
  z-index: 1;
}

.tbcc-news-wrap {
  background: #051345;
  padding-bottom: 80px;

  @media (min-width: 768px) {
    padding-bottom: 160px;
  }
}

.partners-wrap {
  background-color: #051345;
  position: relative;
  z-index: 1;
  margin-bottom: 10px;

  @media (max-width: 767px) {
    &::after {
      content: '';
      width: 314px;
      height: 394px;
      background-image: url('../assets/img/bg-planet.svg');
      background-repeat: no-repeat;
      background-position: center;
      background-size: cover;
      top: 500px;
      left: -117px;
      position: absolute;
      pointer-events: none;
      z-index: 0;
      overflow: visible;
    }
  }

  @media (min-width: 1024px) {
    &::before {
      content: '';
      width: 1471px;
      height: 734px;
      background-image: url('assets/img/bg-partners.svg');
      background-repeat: no-repeat;
      background-position: center;
      background-size: cover;
      top: -125px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }

    &::after {
      content: '';
      width: 1798px;
      height: 716px;
      background-image: url('assets/img/stones.png');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: -40px;
      left: 0;
      transform: scale(-1, 1);
      position: absolute;
      pointer-events: none;
      z-index: -1;

      @media only screen and (-webkit-min-device-pixel-ratio: 1.5),
        only screen and (min--moz-device-pixel-ratio: 1.5),
        only screen and (-o-min-device-pixel-ratio: 3/2),
        only screen and (min-resolution: 1.5dppx),
        only screen and (min-resolution: 144dpi) {
        background-image: url('assets/img/stones@2x.png');
      }
    }
  }
}
</style>
